---
page_title: "authentik_source_saml Resource - terraform-provider-authentik"
subcategory: "Sources"
description: |-
---

# authentik_source_saml (Resource)

## Example Usage

```terraform
# Create a SAML Source

data "authentik_flow" "default-source-pre-authentication" {
  slug = "default-source-pre-authentication"
}

data "authentik_flow" "default-source-authentication" {
  slug = "default-source-authentication"
}

data "authentik_flow" "default-source-enrollment" {
  slug = "default-source-enrollment"
}

resource "authentik_source_saml" "name" {
  name                    = "test-source"
  slug                    = "test-source"
  authentication_flow     = data.authentik_flow.default-source-authentication.id
  enrollment_flow         = data.authentik_flow.default-source-enrollment.id
  pre_authentication_flow = data.authentik_flow.default-source-pre-authentication.id
  sso_url                 = "http://localhost"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **authentication_flow** (String)
- **enrollment_flow** (String)
- **name** (String)
- **pre_authentication_flow** (String)
- **slug** (String)
- **sso_url** (String)

### Optional

- **allow_idp_initiated** (Boolean) Defaults to `false`.
- **binding_type** (String) Defaults to `REDIRECT`.
- **digest_algorithm** (String) Defaults to `http://www.w3.org/2001/04/xmlenc#sha256`.
- **enabled** (Boolean) Defaults to `true`.
- **id** (String) The ID of this resource.
- **issuer** (String)
- **name_id_policy** (String) Defaults to `urn:oasis:names:tc:SAML:2.0:nameid-format:persistent`.
- **policy_engine_mode** (String) Defaults to `any`.
- **signature_algorithm** (String) Defaults to `http://www.w3.org/2001/04/xmldsig-more#rsa-sha256`.
- **signing_kp** (String)
- **slo_url** (String)
- **temporary_user_delete_after** (String) Defaults to `days=1`.
- **uuid** (String)
